Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1InputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.bouncycastle.asn1.DERInputStream
                        |
                        +--org.bouncycastle.asn1.ASN1InputStream

All Implemented Interfaces:
  DERTags

public class ASN1InputStream
extends DERInputStream

a general purpose ASN.1 decoder - note: this class differs from the others in that it returns null after it has read the last object in the stream. If an ASN.1 NULL is encountered a DER/BER Null object is returned.

Fields inherited from class java.io.FilterInputStream
`in`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`ASN1InputStream(java.io.InputStream is)`

Method Summary
`protected DERObject` | `buildObject(int tag, byte[] bytes)` build an object given its tag and a byte stream to construct it from.
`protected void` | `readFully(byte[] bytes)`
`protected int` | `readLength()`
`DERObject` | `readObject()`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1InputStream

    public ASN1InputStream(java.io.InputStream is)

Method Detail

### readLength

    protected int readLength()
                      throws java.io.IOException

  Overrides:
    `readLength` in class `DERInputStream`

### readFully

    protected void readFully(byte[] bytes)
                      throws java.io.IOException

  Overrides:
    `readFully` in class `DERInputStream`

### buildObject

    protected DERObject buildObject(int tag,
                                    byte[] bytes)
                             throws java.io.IOException

  build an object given its tag and a byte stream to construct it from.
  Overrides:
    `buildObject` in class `DERInputStream`

### readObject

    public DERObject readObject()
                         throws java.io.IOException

  Overrides:
    `readObject` in class `DERInputStream`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD